Download it now!
Bug 108352 - Structure of pivot table coming from XLS is altered in LO
Summary: Structure of pivot table coming from XLS is altered in LO
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium normal
Assignee: Tamás Zolnai
URL:
Whiteboard: target:6.0.0
Keywords: filter:xls
Depends on:
Blocks: Pivot-Table-XLS
  Show dependency treegraph
 
Reported: 2017-06-05 22:02 UTC by Aron Budea
Modified: 2019-04-18 05:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample XLS (23.00 KB, application/vnd.ms-excel)
2017-06-05 22:02 UTC, Aron Budea
Details
Screenshots for comparison (167.51 KB, image/png)
2017-06-05 22:03 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2017-06-05 22:02:53 UTC
Created attachment 133866 [details]
Sample XLS

The attached simple pivot table was created in Excel 2013 with the same method as in bug 108343, but as an XLS.

In this case if the file is opened in LibreOffice, the structure is different, instead of "Row Labels", the first item (Banana) is the selector, but if you click into Country or Banana cells, the view changes slightly, the table becomes a row taller, and Product becomes the selector again (see attached comparative screenshots).

The roundtripped table looks similar in Excel as its state in Calc, but the border is blue when the pivot area has been clicked into.

Observed with LO 5.4beta1 & 4.0.0.3 / Windows 7.
Comment 1 Aron Budea 2017-06-05 22:03:56 UTC
Created attachment 133867 [details]
Screenshots for comparison
Comment 2 raal 2017-06-06 18:48:12 UTC
I can confirm with Version: 5.5.0.0.alpha0+
Build ID: 6533c30f7f8b62671fef9e636c49b11127812ed1
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-05-26_02:35:54
Comment 3 Commit Notification 2017-08-29 22:08:22 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b90bdb1c0d27fd87c85a2d1d6ea66070b97b7977

tdf#108352: Structure of pivot table coming from XLS is altered in LO

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Tamás Zolnai 2017-09-14 15:23:41 UTC
Main issue (selectos's position) is fixed, so I close it.
The border difference is only a runtime difference. MSO highlights borders with blue color in some cases, LO does not. Not seems an actual issue.